Page MenuHomeVyOS Platform

NHRP shortcut-target holding-time does not work
Closed, ResolvedPublicBUG

Description

Hi,

I have DMVPN configured, but was trying to change the NHRP holdtime registration on the spoke to a faster interval. After committing the change NHRP fails to restart.

set protocols nhrp tunnel tun0 shortcut-target "xxx.xxx.0.1/20" holding-time 15

//NHRP configuration (two hubs)
set protocols nhrp tunnel tun0 cisco-authentication xxxxxx
set protocols nhrp tunnel tun0 holding-time '300'
set protocols nhrp tunnel tun0 map xxx.xxx.0.1/20 nbma-address 'xxx.xxx.112.72'
set protocols nhrp tunnel tun0 map xxx.xxx.0.1/20 register
set protocols nhrp tunnel tun0 multicast 'nhs'
set protocols nhrp tunnel tun0 redirect
set protocols nhrp tunnel tun0 shortcut
set protocols nhrp tunnel tun0 shortcut-target xxx.xxx.0.1/20 holding-time '300'
set protocols nhrp tunnel tun1 cisco-authentication xxxxxx
set protocols nhrp tunnel tun1 holding-time '300'
set protocols nhrp tunnel tun1 map xxx.xxx.16.1/20 nbma-address 'xxx.xxx.129.82'
set protocols nhrp tunnel tun1 map xxx.xxx.16.1/20 register
set protocols nhrp tunnel tun1 multicast 'nhs'
set protocols nhrp tunnel tun1 redirect
set protocols nhrp tunnel tun1 shortcut

Picture of error

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.3-beta-202112080938
Why the issue appeared?
Implementation mistake
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Bug (incorrect behavior)

Related Objects

Mentioned In
1.3.1

Event Timeline

Viacheslav changed the task status from Open to In progress.Jan 9 2022, 12:19 PM
Viacheslav claimed this task.
Viacheslav added a project: VyOS 1.4 Sagitta.
Viacheslav changed the task status from In progress to Needs testing.Jan 10 2022, 9:40 PM
dmbaturin changed Why the issue appeared? from Will be filled on close to Implementation mistake.Mar 21 2022, 8:11 AM
dmbaturin changed Issue type from Unspecified (please specify) to Bug (incorrect behavior).